Skip to main content
PATCH
/
embedded-banking
/
v1
/
external-bank-accounts
/
{id}
Updates an external bank account.
curl --request PATCH \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/external-bank-accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "nameOnAccount": "<string>",
  "nickname": "<string>",
  "verification": {
    "method": "MICRO_DEPOSIT"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountNumber": "<string>",
  "accountStatus": "ACTIVE",
  "nameOnAccount": "<string>",
  "nickname": "<string>",
  "routingNumber": "<string>",
  "type": "CHECKING",
  "verificationStatus": "UNVERIFIED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The external bank account ID.

Query Parameters

organizationId
string<uuid>

Optional organization ID for the embedded organization. Required for BANK and PLATFORM callers to operate on behalf of a specific embedded org.

Body

The update request.

Request to update an external bank account.

nameOnAccount
null | string

New name on the external bank account.

nickname
null | string

New nickname for the external bank account.

verification
object

Verification status update. Requires 'CanSetExternalBankAccountVerification' permission.

Response

External bank account updated.

Response representing an external bank account.

id
string<uuid>
required

Unique identifier for the external bank account.

accountNumber
string
required

Masked account number (last 4 digits visible).

accountStatus
enum<string>
required

Status of the external bank account.

Available options:
ACTIVE,
INACTIVE
nameOnAccount
string
required

Name on the bank account.

nickname
string
required

Nickname for the external bank account.

routingNumber
string
required

Bank routing number (ABA number).

type
enum<string>
required

Type of bank account (checking or savings).

Available options:
CHECKING,
SAVINGS
verificationStatus
enum<string>
required

Verification status of the external bank account.

Available options:
UNVERIFIED,
VERIFICATION_SENT,
VERIFIED,
FAILED